%% Question 1
%Vectors x and y are of equal length with integer values between [1, 10]
xy = round(1 + (10 - 1).*rand(randi([50 100], 1), 2));
x = xy(:,1);
y = xy(:,2);


%% Question 2



%% Question 3
%Generate an MxM matrix X. For part iv), X must have an even number of rows
%and columns.
M = randi([20 40], 1);
M = M + mod(M,2);
X = magic(M);


%% Question 4
load('data.mat')


%% Question 5
t_i = [2.003, 7, 0.45];


%% Question 6
%Generate an MxNxP matrix Y with integer values between [-10, 10]
M = randi([5 10], 1);
N = randi([5 10], 1);
P = randi([20 30], 1);
Y = round(-10 + (10 - (-10)).*rand(M, N, P));

%% Question 7
load('student_grades.mat')


%% Save Outputs
rngSeed = rng;
save('rngSeed.mat', 'rngSeed')
save('outputs.mat', 'z', 'seriesSum', 'A', 'B', 'C', 'D', 'values', 'Yscaled', 'StudentGrades')
























